--AH:ScriptId=2B91A5FD-03FB-4DD4-9512-9D6534D52E19

CREATE TABLE [HelmChartDockerImages]
(
	[HelmChartDockerImages_Id] INT NOT NULL IDENTITY PRIMARY KEY,
	[DockerRepository_Id] INT NULL,
	[Repository_Name] VARCHAR(255) NOT NULL,
	[Tag_Name] VARCHAR(255) NOT NULL,
	[DockerFeed_Id] INT NULL,
	[Chart_Name] VARCHAR(200) NOT NULL,
	[Chart_Version_Text] VARCHAR(200) NOT NULL,
	[Chart_Feed_Id] INT NOT NULL,

	CONSTRAINT [FK__HelmChartDockerImages__HelmCharts]
		FOREIGN KEY ([Chart_Feed_Id], [Chart_Name], [Chart_Version_Text] )
		REFERENCES [HelmCharts] ([Feed_Id], [Chart_Name], [Version_Text])
		ON DELETE CASCADE,

	CONSTRAINT [FK__HelmChartDockerImages__DockerRepositoryTags]
		FOREIGN KEY ([DockerRepository_Id], [Tag_Name])
		REFERENCES [DockerRepositoryTags] ([DockerRepository_Id], [Tag_Name]),

	CONSTRAINT [FK__HelmChartDockerImages__DockerRepositories]
		FOREIGN KEY ([DockerRepository_Id])
		REFERENCES [DockerRepositories] ([DockerRepository_Id])
)
GO

--ALTER TABLE [HelmCharts]
--ADD CONSTRAINT [FK__HelmCharts__HelmChartDockerImages]
--	FOREIGN KEY ([Feed_Id], [Chart_Name], [Version_Text])
--	REFERENCES [HelmChartDockerImages] ([Chart_Feed_Id], [Chart_Name], [Chart_Version_Text] )
--	ON DELETE CASCADE
--GO

--ALTER TABLE [DockerRepositoryTags]
--ADD CONSTRAINT [FK__DockerRepositoryTags__HelmChartDockerImages]
--	FOREIGN KEY ([DockerRepository_Id], [Tag_Name])
--	REFERENCES [HelmChartDockerImages] ([DockerRepository_Id], [Tag_Name])
--	ON DELETE CASCADE
--GO

--ALTER TABLE [DockerRepositories]
--ADD CONSTRAINT [FK__DockerRepositories__HelmChartDockerImages]
--	FOREIGN KEY ([DockerRepository_Id])
--	REFERENCES [HelmChartDockerImages] ([DockerRepository_Id])
--	ON DELETE CASCADE