--AH:ScriptId=11538FF3-E57A-422F-BC98-8635B617AB3D

CREATE TABLE [ReplicationClients]
(
	[ReplicationClient_Id] INT IDENTITY(1, 1) NOT NULL,
	[Feed_Id] INT NOT NULL,
	[LastConnection_Date] DATETIME NULL,
	[IPAddress_Text] VARCHAR(50) NOT NULL,
	[Client_Name] VARCHAR(50) NULL,
	[UserAgent_Text] VARCHAR(50) NULL,
	[Error_Indicator] YNINDICATOR NOT NULL,
	[LastEvent_Text] NVARCHAR(MAX) NULL,
	[LastEvent_Date] DATETIME NULL,
	[Status_Text] NVARCHAR(MAX) NULL,

	CONSTRAINT [PK__ReplicationClients]
		PRIMARY KEY ([ReplicationClient_Id]),

	CONSTRAINT [FK__ReplicationClients__Feeds]
		FOREIGN KEY ([Feed_Id])
		REFERENCES [Feeds] ([Feed_Id])
		ON DELETE CASCADE,

	CONSTRAINT [UQ__ReplicationClients]
		UNIQUE ([Feed_Id], [IPAddress_Text])
)
