IF OBJECT_ID('[ApiKeyTasks_Extended]') IS NOT NULL DROP VIEW [ApiKeyTasks_Extended]
GO

CREATE VIEW [ApiKeyTasks_Extended]
AS
SELECT akt.*, f.[Feed_Name], g.[FeedGroup_Name]
  FROM [ApiKeyTasks] akt
  LEFT JOIN [Feeds] f ON akt.[Feed_Id] = f.[Feed_Id]
  LEFT JOIN [FeedGroups] g ON akt.[FeedGroup_Id] = g.[FeedGroup_Id]

GO
