EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'IndexingServers_GetServers',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'IndexingServers',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the indexing servers registered with ProGet.'
GO

IF OBJECT_ID('[IndexingServers_GetServers]') IS NOT NULL
	DROP PROCEDURE [IndexingServers_GetServers]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [IndexingServers_GetServers]
AS
BEGIN
SET NOCOUNT ON

	SELECT *
	  FROM [IndexingServers]
	  WITH (READUNCOMMITTED)

END
GO

GRANT EXECUTE ON [IndexingServers_GetServers] TO [ProGetUser_Role]
GO
